Page MenuHomePhabricator

update puppet for new PDU models
Open, Needs TriagePublic

Description

https://gerrit.wikimedia.org/r/c/operations/puppet/+/536140/1/modules/facilities/manifests/init.pp

As we update the PDUs, we need to process and update the entry in puppet for these.

When logged into https://ps1-b6-eqiad.mgmt.eqiad.wmnet/, it shows:

Firmware:	Sentry Smart PDU Version 8.0n

The new entries should likely be Sentry8, correct? - Nope!

Nah, Sentry Smart PDU Version 8.0n are still Sentry 4.
I think the gap is at v7 = Sentry 3, v8 = Sentry 4

Event Timeline

RobH created this task.Tue, Sep 17, 4:27 PM
RobH removed subscribers: Cmjohnson, Marostegui, ayounsi, aborrero.

Nah, Sentry Smart PDU Version 8.0n are still Sentry 4.
I think the gap is at v7 = Sentry 3, v8 = Sentry 4

RobH updated the task description. (Show Details)Tue, Sep 17, 5:24 PM
RobH added a subscriber: ayounsi.

If that is the case, then no puppet updates are required, as sentry4 is already listed for all the PDU models in eqiad.

That's correct, for PDUs we've already upgraded/replaced no updates needed, although for upcoming PDU replacements there will be updates needed

Change 537696 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] facilities: set model for ps1-b3-eqiad

https://gerrit.wikimedia.org/r/537696

I misspoke, ps1-b3-eqiad was still missing the updated model, will be fixed by https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/537696

Change 537696 merged by Filippo Giunchedi:
[operations/puppet@production] facilities: set model for ps1-b3-eqiad

https://gerrit.wikimedia.org/r/537696